/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


/**
 * Swing widgets for some visual verifications. This is used for debugging purposes only.
 * The visualization tools in this package are not related to any particular SIS objects.
 * This package may seem unused by code on the repository because it is often used only
 * temporarily during debugging phase.
 *
 * <h2>Other visualization tools</h2>
 * This package does not contains all visualization tools. Some debugging tools specific
 * to a particular class are provided in the package of that class. Examples:
 *
 * <ul>
 *   <li>{@link org.apache.sis.internal.referencing.j2d.ShapeUtilitiesViewer}</li>
 *   <li>{@link org.apache.sis.referencing.gazetteer.LocationViewer}</li>
 *   <li>{@link org.apache.sis.image.ImageTestCase}</li>
 * </ul>
 *
 * @author  Martin Desruisseaux (Geomatys)
 * @version 1.0
 * @since   1.0
 * @module
 */
package org.apache.sis.test.widget;
